Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Class KeyedObjects2D

    java.lang.Object
      org.jfree.data.KeyedObjects2D

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class KeyedObjects2D

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

A data structure that stores zero, one or many objects, where each object is associated with two keys (a 'row' key and a 'column' key).

See Also:
  Serialized Form

Constructor Summary
`KeyedObjects2D()` Creates a new instance (initially empty).

Method Summary
`void` | `addObject(java.lang.Object object, java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Adds an object to the table.
`java.lang.Object` | `clone()` Returns a clone.
`boolean` | `equals(java.lang.Object obj)` Tests this object for equality with an arbitrary object.
`int` | `getColumnCount()` Returns the column count.
`int` | `getColumnIndex(java.lang.Comparable key)` Returns the column index for a given key.
`java.lang.Comparable` | `getColumnKey(int column)` Returns the key for a given column.
`java.util.List` | `getColumnKeys()` Returns the column keys.
`java.lang.Object` | `getObject(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the object for the given row and column keys.
`java.lang.Object` | `getObject(int row, int column)` Returns the object for a given row and column.
`int` | `getRowCount()` Returns the row count.
`int` | `getRowIndex(java.lang.Comparable key)` Returns the row index for a given key.
`java.lang.Comparable` | `getRowKey(int row)` Returns the key for a given row.
`java.util.List` | `getRowKeys()` Returns the row keys.
`int` | `hashCode()` Returns a hashcode for this object.
`void` | `removeColumn(java.lang.Comparable columnKey)` Removes a column.
`void` | `removeColumn(int columnIndex)` Removes a column.
`void` | `removeObject(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Removes an object.
`void` | `removeRow(java.lang.Comparable rowKey)` Removes a row.
`void` | `removeRow(int rowIndex)` Removes a row.
`void` | `setObject(java.lang.Object object, java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Adds or updates an object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyedObjects2D

    public KeyedObjects2D()

  Creates a new instance (initially empty).

Method Detail

### getRowCount

    public int getRowCount()

  Returns the row count.

  Returns:
    The row count.

### getColumnCount

    public int getColumnCount()

  Returns the column count.

  Returns:
    The column count.

### getObject

    public java.lang.Object getObject(int row,
                                      int column)

  Returns the object for a given row and column.

  Parameters:
    `row` - the row index.
    `column` - the column index.
  Returns:
    The object.

### getRowKey

    public java.lang.Comparable getRowKey(int row)

  Returns the key for a given row.

  Parameters:
    `row` - the row index (zero based).
  Returns:
    The row index.

### getRowIndex

    public int getRowIndex(java.lang.Comparable key)

  Returns the row index for a given key.

  Parameters:
    `key` - the key.
  Returns:
    The row index.

### getRowKeys

    public java.util.List getRowKeys()

  Returns the row keys.

  Returns:
    The row keys (never `null`).

### getColumnKey

    public java.lang.Comparable getColumnKey(int column)

  Returns the key for a given column.

  Parameters:
    `column` - the column.
  Returns:
    The key.

### getColumnIndex

    public int getColumnIndex(java.lang.Comparable key)

  Returns the column index for a given key.

  Parameters:
    `key` - the key.
  Returns:
    The column index.

### getColumnKeys

    public java.util.List getColumnKeys()

  Returns the column keys.

  Returns:
    The column keys (never `null`).

### getObject

    public java.lang.Object getObject(java.lang.Comparable rowKey,
                                      java.lang.Comparable columnKey)

  Returns the object for the given row and column keys.

  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
  Returns:
    The object.

### addObject

    public void addObject(java.lang.Object object,
                          java.lang.Comparable rowKey,
                          java.lang.Comparable columnKey)

  Adds an object to the table. Performs the same function as setObject().

  Parameters:
    `object` - the object.
    `rowKey` - the row key.
    `columnKey` - the column key.

### setObject

    public void setObject(java.lang.Object object,
                          java.lang.Comparable rowKey,
                          java.lang.Comparable columnKey)

  Adds or updates an object.

  Parameters:
    `object` - the object.
    `rowKey` - the row key.
    `columnKey` - the column key.

### removeObject

    public void removeObject(java.lang.Comparable rowKey,
                             java.lang.Comparable columnKey)

  Removes an object.

  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.

### removeRow

    public void removeRow(int rowIndex)

  Removes a row.

  Parameters:
    `rowIndex` - the row index.

### removeRow

    public void removeRow(java.lang.Comparable rowKey)

  Removes a row.

  Parameters:
    `rowKey` - the row key.

### removeColumn

    public void removeColumn(int columnIndex)

  Removes a column.

  Parameters:
    `columnIndex` - the column index.

### removeColumn

    public void removeColumn(java.lang.Comparable columnKey)

  Removes a column.

  Parameters:
    `columnKey` - the column key.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this object for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to test (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hashcode for this object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    A hashcode.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - this class will not throw this exception, but subclasses (if any) might.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD